image: mcr.microsoft.com/dotnet/core/sdk:3.0

variables:
  TCP_CONTRACTS_FOLDER: MyServiceBus.TcpContracts
  TEST_FOLDER: MyServiceBus.Tests

stages:
  - test
  - publish-tcp-contracts

test:
  stage: test
  #tags: [sofia]
  script:
    - cd ${TEST_FOLDER}
    - dotnet test
  only:
    - master

publish-tcp-contracts:
  stage: publish-tcp-contracts
  #tags: [sofia]
  script:
    - cd ${TCP_CONTRACTS_FOLDER}
    - projectfile=${TCP_CONTRACTS_FOLDER}
    - ver=$(cat $projectfile.csproj | grep "<Version>")
    - ver=${ver//[\/<>Version ]/}
    - echo $ver
    - dotnet pack $projectfile.csproj --configuration Release --output ./out-nuget
    - dotnet nuget push ./out-nuget/$projectfile.$ver.nupkg --api-key ${NUGET_PUBLISH_KEY} --source https://api.nuget.org/v3/index.json
  only:
    - master
  #when: manual
